import instance from "@/utils/request";
// 获取职位列表
export const getjobListApi = params => instance.post("/c/position/page", params);
// 获取系统匹配岗位
export const getjobListApi2 = params => instance.post("/c/position/recommend/page", params);
// 获取文章匹配岗位
export const getjobListApi3 = articleId => instance.post(`/jobFair/position/${articleId}`);
// 获取职位详情
export const getJobDetailApi = id => instance.post(`/c/position/detail/${id}`);
// 投递简历
export const submitResumeApi = id => instance.post(`/position/application/delivery/${id}`);
// 获取投递
export const getSubmitResumeApi = id => instance.post(`/job/getApplication/${id}`);
// 获取职位详情
export const getCompanyDetailApi = id => instance.post(`/c/position/company/detail/${id}`);

// 需求信息分页
export const getNeedListApi = data => instance.post("/need/getPageList",data);
// 需求登记
export const needRegisterApi = id => instance.post(`/need/register/${id}`);
// 获取平台分页 1零工，2其它
export const getPlatformPageList = params => instance.post(`/platform/getPageList`, params);
